org.apache.uima.fit.descriptor

## Annotation Type ResourceMetaData

-     @Retention(value=RUNTIME)
       @Target(value=TYPE)
      public @interface ResourceMetaData

  This can be used to add component-level meta data such as version, vendor, etc.
  See Also:
    `ResourceMetaData`

- - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `String` | `copyright` Gets the copyright notice for this Resource.
    `String` | `description` Gets the description of this Resource.
    `String` | `name` Gets the name of this Resource.
    `String` | `vendor` Gets the vendor of this Resource.
    `String` | `version` Gets the version number of this Resource.

- - ### Element Detail

    - #### name

          public abstract String name

      Gets the name of this Resource.
      Returns:
        the name of this Resource
      See Also:
        `ResourceMetaData.getName()`
      Default:
        ""

  - - #### copyright

          public abstract String copyright

      Gets the copyright notice for this Resource.
      Returns:
        the copyright notice for this Resource
      See Also:
        `ResourceMetaData.getCopyright()`
      Default:
        ""

  - - #### description

          public abstract String description

      Gets the description of this Resource.
      Returns:
        the description of this Resource
      See Also:
        `ResourceMetaData.getDescription()`
      Default:
        ""

  - - #### vendor

          public abstract String vendor

      Gets the vendor of this Resource.
      Returns:
        the vendor of this Resource, as a String
      See Also:
        `ResourceMetaData.getVendor()`
      Default:
        ""

  - - #### version

          public abstract String version

      Gets the version number of this Resource.
      Returns:
        the version number of this Resource, as a String
      See Also:
        `ResourceMetaData.getVersion()`
      Default:
        ""

Copyright © 2012–2021 The Apache Software Foundation. All rights reserved.